• Documentation
  • API Reference
Overview
Guides
    Get StartedGood to KnowAccess Tokens
    Core APIs
      KYCBanksConsent & Account InformationPaymentsAuthorisationsPremium
    Alternative APIs
Other Information
Changelog
Downloads
Support
Core APIs

Premium Services

This guide shows you how to use our premium services, designed to provide enhanced data and pre-payment validation on top of our core APIs. These services enable you to build more reliable, user-friendly payment experiences by accessing and verifying additional information related to payment accounts.

For requests to the Premium APIs, you need an access token with scope set to paymentinitiation corporate.

Get Creditor Name

This request allows you to fetch the creditor name linked to a Bankgiro or Plusgiro number, and to verify that a given OCR reference is valid for said creditor.

Endpoint

Code
POST /psd2/premium/v1/creditor-name

Query Parameters

NameTypeDescription
giroNumberstringA Swedish Bankgiro or Plusgiro number.
giroTypestringThe Swedish Giro type. BANKGIRO or PLUSGIRO.
ocrRefstringA Giro OCR reference. Must be applied if invoiceRef is not.
invoiceRefstringA custom invoice reference. Must be applied if ocrRef is not.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
PSU-IDstringThe ID used to identify the PSU at the bank. Typically a local social security number or another unique login ID.
PSU-Corporate-IDstringThe Corporate ID of the PSU when acting on behalf of an organization, e.g. Org. nummer for SE, KVK for NL.
TerminalCode
curl -X POST "https://api.openbankingplatform.com/psd2/premium/v1/creditor-name?giroNumber=123-4567&giroType=BANKGIRO&ocrRef=3020000071266464" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIn0..." \ -H "Content-Type: application/json" \ -H "X-Request-ID: 3dff1f05-4c97-42c0-8bf0-8bacbb2f42f2" \ -H "PSU-ID: 123456789001" \ -H "PSU-Corporate-ID: 1234567890"

Response

Code
{ "creditorName": "Acme AB" }

If the creditor account has OCR reference validation enabled and the provided OCR reference is invalid, the response will additionally include a warning message indicating the issue:

Code
"tppMessages": [ { "category": "WARNING", "code": "OCR_REF_INVALID", "text": "The provided OCR reference is invalid based on the creditor's OCR control requirements" } ]

Get Giro Numbers

This request fetches Bankgiro numbers registered to a specific organization, allowing you to identify valid payment accounts linked to a company before initiating payments.

Endpoint

Code
POST /psd2/premium/v1/giro-numbers

Query Parameters

NameTypeDescription
psuCorporateIdstringThe Corporate ID of the organization for which to retrieve Giro numbers.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
PSU-IDstringThe ID used to identify the PSU at the bank. Typically a local social security number or another unique login ID.
PSU-Corporate-IDstringThe Corporate ID of the PSU when acting on behalf of an organization, e.g. Org. nummer for SE, KVK for NL.
TerminalCode
curl -X POST "https://api.openbankingplatform.com/psd2/premium/v1/giro-numbers?psuCorporateId=1234567891" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIn0..." \ -H "Content-Type: application/json" \ -H "X-Request-ID: 3dff1f05-4c97-42c0-8bf0-8bacbb2f42f2" \ -H "PSU-ID: 123456789001" \ -H "PSU-Corporate-ID: 1234567890"
Code
{ "giros": [ { "giroNumber": "123-4568", "giroType": "BANKGIRO", "name": "Acme AB" }, { "giroNumber": "123-4569", "giroType": "BANKGIRO", "name": "Acme" } ] }
Last modified on April 30, 2026
AuthorisationsISO Payments
On this page
    • Get Creditor Name
    • Get Giro Numbers
JSON
JSON
JSON